<?
define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);

if( isset($HTTP_POST_VARS['mode']) || isset($HTTP_GET_VARS['mode']) )
{
	$mode = ( isset($HTTP_POST_VARS['mode']) ) ? $HTTP_POST_VARS['mode'] : $HTTP_GET_VARS['mode'];
}
else
{
	$mode = "";
}

if ( $userdata['user_level'] != ADMIN )
{
        message_die(GENERAL_ERROR, "You are not authorised to do this.");
}

if ( $board_config['default_lang'] == 'english' )
{
        $l_install = '<font color="green">add column</font>';
        $l_uninstall = '<font color="red">remove column</font>';
        $title = 'Hack: Add new field/option to profile';
        $l_information = 'Do not forget to <b>delete</b> table_update.php after finishing the installation.';
        $f_needed = '..needed for every single part of <i>add field to profile</i>.';
        $o_needed = '..needed for every single part of <i>add option to profile</i>.';
        $i_needed = '..needed for <i>add field to profile with bbcode, smilee and html support</i>.';
        $not_added = '<font color="red"><b>Table couldnt be altered.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
        $added = '<font color="green"><b>Table altered successfully.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
}
else if ( $board_config['default_lang'] == 'german' )
{
        $l_install = '<font color="green">Feld hinzufgen</font>';
        $l_uninstall = '<font color="red">Feld entfernen</font>';
        $title = 'Hack: Neues Feld/Option zum Profil hinzufgen';
        $l_information = 'Nicht vergessen table_update.php vom Server zu <b>lschen</b> sobald die Installation beendet ist.';
        $f_needed = '..wird fr alle Teile von <i>Neues Feld im Profil</i> bentigt.';
        $o_needed = '..wird fr alle Teile von <i>Neue Auswahlmglichkeit im Profil</i> bentigt.';
        $i_needed = '..wird fr <i>Neues Feld im Profil mit BBcode, Smilee und HTML-Untersttzung</i> bentigt.';
        $not_added = '<font color="red"><b>Tabelle konnte nicht angepasst werden.</b></font><br />Zur <a href="table_update.'.$phpEx.'">Hauptseite</a> zurckkehren.';
        $added = '<font color="green"><b>Tabelle erfolgreich angepasst.</b></font><br />Zur <a href="table_update.'.$phpEx.'">Hauptseite</a> zurckkehren.';
}
else
{
        $l_install = '<font color="green">add column</font>';
        $l_uninstall = '<font color="red">remove column</font>';
        $title = 'Hack: Add new field/option to profile';
        $l_information = 'Do not forget to <b>delete</b> table_update.php after finishing the installation.';
        $f_needed = '..needed for every single part of <i>add field to profile</i>.';
        $o_needed = '..needed for every single part of <i>add option to profile</i>.';
        $i_needed = '..needed for <i>add field to profile with bbcode, smilee and html support</i>.';
        $not_added = '<font color="red"><b>Table couldnt be altered.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
        $added = '<font color="green"><b>Table altered successfully.</b></font><br />Return to <a href="table_update.'.$phpEx.'">main site</a>.';
}

$page_title = 'Installation ('.$title.')';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$sql = "SELECT user_music FROM ". USERS_TABLE;
$f_status =  ( !$result = $db->sql_query($sql) ) ? '0' : '1';
$field_status = ( $f_status == '0' ) ? $l_install : $l_uninstall;

$sql = "SELECT user_option FROM ". USERS_TABLE;
$o_status .=  ( !$result = $db->sql_query($sql) ) ? '0' : '1';
$option_status = ( $o_status == '0' ) ? $l_install : $l_uninstall;

$sql = "SELECT user_infos, user_infos_bbcode_uid FROM ". USERS_TABLE;
$i_status .=  ( !$result = $db->sql_query($sql) ) ? '0' : '1';
$info_status = ( $i_status == '0' ) ? $l_install : $l_uninstall;

if( !empty($mode) ) 
{
	switch($mode)
	{
		case 'field':
                                if ( $f_status == '0' )
                                {
                                        $sql = "ALTER TABLE ". USERS_TABLE ." ADD user_music VARCHAR(255) AFTER user_interests";
                                }
                                else
                                {
                                        $sql = "ALTER TABLE ". USERS_TABLE ." DROP user_music";
                                }
		break;
		case 'option':
                                if ( $o_status == '0' )
                                {
                                        $sql = "ALTER TABLE ". USERS_TABLE ." ADD user_option TINYINT(1) default '0' AFTER user_viewemail";
                                }
                                else
                                {
                                        $sql = "ALTER TABLE ". USERS_TABLE ." DROP user_option";
                                }
		break;
		case 'info':
                                if ( $i_status == '0' )
                                {
                                        $sql = "ALTER TABLE ". USERS_TABLE ." ADD user_infos TEXT AFTER user_interests, ADD user_infos_bbcode_uid VARCHAR(255) AFTER user_infos";
                                }
                                else
                                {
                                        $sql = "ALTER TABLE ". USERS_TABLE ." DROP user_infos, DROP user_infos_bbcode_uid";
                                }
		break;

		default:
			message_die(GENERAL_MESSAGE, $lang['No_mode']);
			break;
	}

	if( !($result = $db->sql_query($sql)) )
	{
                	message_die(GENERAL_ERROR, $not_added, '', __LINE__, __FILE__, $sql);
	}
	else
	{
                	message_die(GENERAL_MESSAGE, $added, '', __LINE__, __FILE__, $sql);
	}
	exit;
}
?>
 
<center><span class="genmed"><b><?php echo $query ?></b><span></center>
<table width="100%" cellspacing="2" cellpadding="2" border="0" align="center">
  <tr>
        <td align="left" class="nav"><a href="<?php echo append_sid("index.$phpEx") ?>" class="nav"><?php echo sprintf($lang['Forum_Index'], $board_config['sitename']) ?></a></td>
  </tr>
</table>

<table class="forumline" width="100%" cellspacing="1" cellpadding="4" border="0">
  <tr>
        <th class="thHead" height="25"><b><?php echo $lang['Information'] ?></b></th>
  </tr>
  <tr>
        <td class="row1" height ="25"><span class="genmed"><?php echo $l_information ?></b></th>
  </tr>
  <tr> 
        <td class="row1">
                <table width="60%" align="center" cellspacing="1" cellpadding="1" border="1">
                  <tr> 
                        <td width="80%"><span class="gen">&nbsp;<b>user_music</b></span><br /><span class="gensmall"><?php echo $f_needed ?></span></td>
                        <td align="center"><span class="genmed">&nbsp;<a href="<?php echo append_sid("table_update.$phpEx?mode=field") ?>" class="genmed"><?php echo $field_status ?></a></span></td>
                  </tr>
                  <tr> 
                        <td width="80%"><span class="gen">&nbsp;<b>user_option</b></span><br /><span class="gensmall"><?php echo $o_needed ?></span></td>
                        <td align="center"><span class="genmed">&nbsp;<a href="<?php echo append_sid("table_update.$phpEx?mode=option") ?>" class="genmed"><?php echo $option_status ?></a></span></td>
                  </tr>
                  <tr> 
                        <td width="80%"><span class="gen">&nbsp;<b>user_infos/user_infos_bbcode_uid</b></span><br /><span class="gensmall"><?php echo $i_needed ?></span></td>
                        <td align="center"><span class="genmed">&nbsp;<a href="<?php echo append_sid("table_update.$phpEx?mode=info") ?>" class="genmed"><?php echo $info_status ?></a></span></td>
                  </tr>
                </table></td>
  </tr>
</table>

<?
include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>